package helloworldubicollab;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.ubicollab.service.ServiceLink;
import org.ubicollab.service.ServiceLinkRegisterer;

public class Activator implements BundleActivator {
	static BundleContext bundleContext;
	
	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext bundleContext) throws Exception {
		Activator.bundleContext = bundleContext;
		
		registerHelloWorldService(bundleContext);
		System.out.println("Hello World!!");
	}
	
	private void registerHelloWorldService(BundleContext bundleContext) {
		ServiceLink helloWorldServiceLink = new HelloWorldServiceLink();
		ServiceLinkRegisterer.registerOsgiService(
				bundleContext,
				helloWorldServiceLink,
				HelloWorldServiceLink.class.getName()
				);
	}
	
	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
		System.out.println("Goodbye World!!");
	}

}
