package org.ubicollab.core.sdm.view.servlet.form;

import org.ubicollab.core.sdm.view.servlet.pages.HTMLBuilder;

public class LabeledTextField {
	private String name;
	private String label;
	private String value;
	
	private HTMLBuilder htmlBuilder = new HTMLBuilder();
	
	public LabeledTextField(String label, String name) {
		this(label, name, "");
	}
	
	public LabeledTextField(String label, String name, String value) {
		this.label = label;
		this.name = name;
		this.value = value;
	}
	
	
	public String getHtml() {
		htmlBuilder.addLine(label);
		htmlBuilder.addLine("<input type='text' name='" + name + "' value='" + value + "' />");
		return htmlBuilder.getHtml();
	}
	
	public String toString() {
		return getHtml();
	}
}
