package org.ubicollab.core.sm.model;

import java.util.Properties;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

	public void start(BundleContext context) throws Exception {
		registerSpaceMangerToOsgi(context);
		Debug.print("Ready.");
	}

	private void registerSpaceMangerToOsgi(BundleContext context) {
		context.registerService(
				ISpaceManager.class.getName(), new SpaceManagerDummy(), new Properties());
	}

	public void stop(BundleContext context) throws Exception {
		Debug.print("Stopped.");
	}

}
