package org.ubicollab.view.servlet;

public abstract class LinkedHTMLTemplate extends HTMLTemplate {
	private URLHandler urlHandler;

	public LinkedHTMLTemplate() {
		this(null);
	}
	
	public LinkedHTMLTemplate(URLHandler urlHandler) {
		setUrlHandler(urlHandler);
	}
	
	public void setUrlHandler(URLHandler urlHandler) {
		this.urlHandler = urlHandler;		
	}

	protected String getUrlTo(String htmlPageId) {
		return urlHandler.getPageUrlFrom(htmlPageId);
	}
}
