package org.ubicollab.view.servlet;

public class PageError extends HTMLTemplate {

	public static final String PAGE_ID = "Error";
	
	private String error;
	
	public PageError(String error) {
		this.error = error;
	}

	@Override
	protected String getHTMLBody() {
		Debug.print("Viewing error page. Error: " + error);
		String content = "";
		content += "<i>" + error + "</i>";
		return content;
	}

	@Override
	protected String getSubTitle() {
		return "";
	}

	@Override
	protected String getTitle() {
		return "Error";
	}

	public String getPageId() {
		return PAGE_ID;
	}


}
