<?php
/*
 * Yngvar Kristiansen, 11.05.2010
*/
class HtmlPageBuilder {
	private $html;
	private $css;
	private $useBodyEncapsulation;
	
	public function HtmlBuilder() {
		$this->html = "";
		$this->css = "";
		$this->useBodyEncapsulation = true;
	}
	
	public function addHtml($html) {
		$this->html .= "\n" . $html;
	}
	
	public function getHtmlPage() {
		$html = "";
		$html .= "<html>";
		if (strlen($this->css) > 0) {
			$html .= "\n<head>";
			$html .= "\n	<style type='text/css'>";
			$html .= "\n		" . $this->css;
			$html .= "\n	</style>";
			$html .= "\n</head>";
		}
		if ($this->useBodyEncapsulation) {
			$html .= "<body>";
		}		
		$html .= $this->html;
		if ($this->useBodyEncapsulation) {
			$html .= "</body>";
		}
		$html .= "</html>";
		
		return $html;
	}
	
	public function setBodyEncapsulation($bool) {
		if (is_bool($bool))
			$this->useBodyEncapsulation = $bool;
	}
	
	public function setCss($css) {
		$css = "";
		$css .= '\n<style type="text/css">';
		$css .= '\n' . $css;
		$css .= '\n</style>';
		$this->css = $css;
	}

}