package org.ubicollab.app.pptviewer;

import org.ubicollab.service.ServiceLink;
import org.ubicollab.service.pptviewer.PptServiceLink;

public class PptViewer {
	private ServiceLink pptServiceLink;
	
	public PptViewer(ServiceLink pptServiceLink) {
		this.pptServiceLink = pptServiceLink; 
	}
	
	public String openPpt(String urlToPpt) {
		Debug.print("Opening PPT at URL: " + urlToPpt);
		String msgToPptServiceLink = PptServiceLink.COMMAND_OPENPPT + " " + urlToPpt;
		String urlToPptViewer = pptServiceLink.msgReceived(msgToPptServiceLink);
		
		return urlToPptViewer;
		
	}


}
