package org.ubicollab.core.sdm.view.servlet.pages;

import org.ubicollab.core.sdm.view.servlet.form.LabeledTextField;


public class HTMLBuilder {
	private String html;
	
	public HTMLBuilder() {
		html = "";
	}
	
	public static String createAHref(String url, String description) {
		return "<a href='" + url + "'>" + description + "</a>"; 
	}
	
	public static String createRedirectAsJavascript(String gotoUrl) {
		String htmlForRedirect = "";
		htmlForRedirect += "<script type='text/javascript'>";
		htmlForRedirect += "	document.location = '" + gotoUrl + "';";
		htmlForRedirect += "</script>";
		
		return htmlForRedirect;
	}

	public void addHtml(String html) {
		this.html += html + "\n";
	}

	public String getHtml() {
		return html;
	}

	public void addLine(String html) {
		addHtml(html + "<br/>");
	}

	public void addLabeledTextField(LabeledTextField textField) {
		addHtml(textField.getHtml());
	}
	
	public void addSeparatedLink(String url, String description) {
		addHtml("<p>");
		addHtml("<hr width='99%'>");
		addHtml(createAHref(url, description));
		addHtml("</p>");
	}

	

}
