package org.ubicollab.core.sdm.view.servlet.pages;

import org.ubicollab.core.sdm.DomainManager;
import org.ubicollab.core.sdm.view.servlet.Activator;
import org.ubicollab.core.sdm.view.servlet.SDMServlet;
import org.ubicollab.view.servlet.LinkedHTMLTemplate;

public class PageMySharedServices extends LinkedHTMLTemplate {

	public static final String PAGE_ID = "PageMySharedServices";
	private DomainManager domainManager;

	public PageMySharedServices() {
		this.domainManager = Activator.getDomainManager();
	}
	
	@Override
	protected String getTitle() {
		return SDMServlet.SDM_PAGE_TITLE;
	}

	@Override
	protected String getSubTitle() {
		return "PageMySharedServices";
	}

	public String getPageId() {
		return PAGE_ID;
	}

	@Override
	protected String getHTMLBody() {
		return "not implemented";
		
	}
	
}
