package org.ubicollab.service;

public interface ServiceLink {

	public static final int TRANSFER_METHOD_DIRECT = 2;
	public static final int TRANSFER_METHOD_HTTP = 3;

	/**
	 * Called upon when a message is received.
	 * 
	 * @param	The message received.
	 * @return	A reply.
	 */
	String msgReceived(String msg);
}
