package org.ubicollab.core.sm.model;

import java.util.HashMap;

/** Dummy implementation for SpaceManager. */

public class SpaceManagerDummy implements ISpaceManager {
	private Space currentSpace;
	private static HashMap<Long, Space> spaceRegister = new HashMap<Long, Space>();
	
	public SpaceManagerDummy() {
		this.currentSpace = new Space();
		currentSpace.setName("MyCurrentSpace");
	}
	
	public Space getCurrentSpace() {
		return currentSpace;
	}
	
	static void addSpaceToRegister(Space space) {
		spaceRegister.put(space.getId(), space);
	}

	public Space getSpace(long spaceId) {
		Space result = spaceRegister.get(spaceId);
		return result;
	}


}
