<?php

class Config {
	// Variables for viewing a PPT.
	private $FILEPATH_TO_BROWSER = "\"C:\\Program Files (x86)\\Mozilla Firefox\\firefox.exe\"";
	private $URL_TO_IMAGEBROWSER_PHP; // Must be set in constructor, because PHP doesn't allow string concatenation outside a function.
	
	// Convertion variables.
	private $FILEPATH_OPENOFFICE = "\"d:\Programs\OpenOffice\OpenOffice.org 3\program\soffice.exe\"";
	private $FILEPATH_OPENOFFICE_CONVERT_MACRO = "ppt2html.odt";
	private $OPENOFFICE_CONVERT_MACRO = "ppt2html"; // Usually name of ODT file minus ".ODT"

	private static $configInstance = null;
	
	private function Config() {
		$this->URL_TO_IMAGEBROWSER_PHP = "http://" . $_SERVER['SERVER_NAME'] . "/" . dirname($_SERVER['PHP_SELF']) . "/ImageBrowser.php";
		
	}
	
	private static function getInstance() {
		if (self::$configInstance == null) {
			self::$configInstance = new Config();
		}
		
		return self::$configInstance;
	}
	
	public static function URL_TO_IMAGEBROWSER_PHP() {
		return self::getInstance()->URL_TO_IMAGEBROWSER_PHP;
	}
	
	public static function FILEPATH_TO_BROWSER() {
		return self::getInstance()->FILEPATH_TO_BROWSER;
	}
	
	public static function FILEPATH_OPENOFFICE() {
		return self::getInstance()->FILEPATH_OPENOFFICE;
	}

	public static function FILEPATH_OPENOFFICE_CONVERT_MACRO() {
		return self::getInstance()->FILEPATH_OPENOFFICE_CONVERT_MACRO;
	}

	public static function OPENOFFICE_CONVERT_MACRO() {
		return self::getInstance()->OPENOFFICE_CONVERT_MACRO;
	}
	
}