<?php
require_once('Config.php');

	 function convertPptToImagesInternal($urlToPpt) {
		$outputDirRelative = "somedir";
		// Converting to images actually implies converting each slide to a HTML/JPG pair,
		// because that is how the OpenOffice converter works. (We only need the JPG images,
		// however.)
		$outputHtmlAbsolute = getcwd() . "\\" . $outputDirRelative . "\\out.html";
		$ooMacroWithOutFileType = 
		$exePre =
			'call ' . Config::FILEPATH_OPENOFFICE() . ' ' .
			Config::FILEPATH_OPENOFFICE_CONVERT_MACRO() . ' ' .
			'macro://' . Config::OPENOFFICE_CONVERT_MACRO() .
			'/Standard.Convert.ConvertPPTtoHTMLAndExit(';
		$args = escapeshellarg($urlToPpt);
		$exePost = ',' . $outputHtmlAbsolute . ')'; // It is very important not to have space after
													// comma between source/PPT URL and
													// destination/HTML URL, or else the OpenOffice
													// macro won't run.

		$cmd = $exePre . $args . $exePost;
		
		return $cmd;
	}
	
	echo convertPptToImagesInternal("somePresentation.ppt");